Bug 599597

Summary: Review Request: amule - The all-platform eMule p2p client
Product: [Fedora] Fedora Reporter: Chen Lei <supercyper1>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: alekcejk, benjavalero, fedora-package-review, felix, gauret, martin.gieseking, notting, pahan
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 13:26:14 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 182235    

Description Chen Lei 2010-06-03 11:02:38 EDT
Description of problem:
aMule is an easy to use multi-platform client for ED2K Peer-to-Peer Network. 
It is a fork of xMule, whis was based on eMule for Windows. aMule currently 
supports (but is not limited to) the following platforms: Linux, *BSD and 
MacOS X.

SPEC: http://dl.dropbox.com/u/1338197/1/amule.spec
SRPM: http://dl.dropbox.com/u/1338197/1/amule-2.2.6-2.fc13.src.rpm

Heavily modified from spec in the rpmfusion, I'll give owner or co-maintainship for the original maintainer in rpmfusion once the package is reviewed.
Comment 1 Chen Lei 2010-06-04 02:19:38 EDT
Can we include amule in fedora?
Some similar packages are already included in fedora several years ago, e.g. mldonkey transmission?
Comment 2 Martin Gieseking 2010-06-04 02:23:55 EDT
Just for your information: amule is already packaged in rpmfusion.
(http://download1.rpmfusion.org/free/fedora/releases/13/Everything/source/SRPMS/amule-2.2.6-1.fc12.src.rpm)
Comment 3 Martin Gieseking 2010-11-26 09:39:24 EST
Since amule is available via rpmfusion, I'm closing here for now.
Comment 4 Felix Kaechele 2010-11-26 12:12:29 EST
Well I think the point was moving aMule to Fedora as there's no reason to have it in RPMFusion anymore. It used to be in RPMFusion due to cryptopp being licensed incompatibly.
Comment 5 Martin Gieseking 2010-11-26 12:17:54 EST
OK, if this was the intention, then sorry for closing the review request. Chen Lei, please reopen this ticket if you're still planning to move amule from rpmfusion to Fedora.
Comment 6 Bug Zapper 2011-06-02 08:11:50 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Benjamín Valero Espinosa 2011-06-02 08:19:33 EDT
I don't think this should be closed. In Fedora 15, aMule is still packaged in rpmfusion and it seems there is no reason not to package it right in Fedora.
Comment 8 Bug Zapper 2011-06-27 13:26:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.